#ifndef _IV18_DRIVER_H_
#define _IV18_DRIVER_H_

#include <Arduino.h>

typedef unsigned char uint8_t;
typedef unsigned short int uint16_t;
typedef unsigned int uint32_t;

extern uint8_t Show_arr[10];
//相关控制引脚定义
#define IV18_DIN 27
#define IV18_STR 26
#define IV18_SCK 25
#define IV18_BLK 33
#define IV18_LGT 14

//引脚控制定义
#define IV18_DIN_H digitalWrite(IV18_DIN,HIGH)
#define IV18_DIN_L digitalWrite(IV18_DIN,LOW)

#define IV18_STR_H digitalWrite(IV18_STR,HIGH)
#define IV18_STR_L digitalWrite(IV18_STR,LOW)

#define IV18_SCK_H digitalWrite(IV18_SCK,HIGH)
#define IV18_SCK_L digitalWrite(IV18_SCK,LOW)

#define IV18_BLK_H digitalWrite(IV18_BLK,HIGH)
#define IV18_BLK_L digitalWrite(IV18_BLK,LOW)

#define IV18_LGT_H digitalWrite(IV18_LGT,HIGH)
#define IV18_LGT_L digitalWrite(IV18_LGT,LOW)

//应用层函数原型
void IV18_IO_INIT(void);//IV18相关控制引脚初始化
void IV18_INIT();//IV18控制初始化

//驱动层函数原型
void IV18_Write(uint32_t TxData);//HV5812/MAX6921芯片的基本串行通信时序
void IV18_Display_Num(uint8_t* disp);//数字显示函数
void IV18_Hello_World(void);//显示hello
void IV18_Display_Time(uint8_t* disp);//时钟模式显示函数
void IV18_Display_Test(void);//测试用，不用管

#endif

