#include "IV18_Driver.h"
#include "time.h"

// LED闪烁
void taskLED(void * parameter) {
    while (1) {
        // digitalWrite(21, HIGH);
        // delay(500);
        // digitalWrite(21, LOW);
        delay(500);
    }
}

// 监测按键按下，需要OneButton库
void taskKEY(void * parameter) {
    while (1) {
        key_Refresh();
        delay(10);
    }
}

// TEMT6000环境光
void taskADC(void * parameter) {
    while (1)
    {
        int adc = analogRead(4);
        Serial.println(String("ADC=")+adc);
        delay(100);
    }
}


// 一秒从RTC更新一次时钟
void taskTime(void * parameter) {
    while (1)
    {
        RTC_Refresh();
        
        Serial.println(String("Time=")+Show_arr[7]+Show_arr[8]);
        delay(1000);
    }
}

void setup() {
    time_Init();
    IV18_IO_INIT();
    IV18_INIT();

    pinMode(21, OUTPUT);

    Serial.begin(115200);
    Serial.println("[Init Done]");
    delay(1000);

    xTaskCreate(
                taskLED,          /*任务函数*/
                "TaskLED",        /*带任务名称的字符串*/
                5000,             /*堆栈大小，单位为字节*/
                NULL,             /*作为任务输入传递的参数*/
                3,                /*任务的优先级*/
                NULL);            /*任务句柄*/
    xTaskCreate(
                taskKEY,          /*任务函数*/
                "TaskKEY",        /*带任务名称的字符串*/
                5000,             /*堆栈大小，单位为字节*/
                NULL,             /*作为任务输入传递的参数*/
                2,                /*任务的优先级*/
                NULL);            /*任务句柄*/
    xTaskCreate(
                taskADC,          /*任务函数*/
                "TaskADC",        /*带任务名称的字符串*/
                5000,             /*堆栈大小，单位为字节*/
                NULL,             /*作为任务输入传递的参数*/
                1,                /*任务的优先级*/
                NULL);            /*任务句柄*/
    xTaskCreate(
                taskTime,         /*任务函数*/
                "TaskTime",       /*带任务名称的字符串*/
                5000,             /*堆栈大小，单位为字节*/
                NULL,             /*作为任务输入传递的参数*/
                4,                /*任务的优先级*/
                NULL);            /*任务句柄*/
}

void loop() {
    IV18_Display_Num(Show_arr);
    // IV18_Write(0x7FF08);
}
