#include "time.h"

RX8025 rtc;
OneButton up(UP_PIN, true);
OneButton down(DOWN_PIN, true);
OneButton key(KEY_PIN, true);

uint8_t date_flag = 0;

void time_Init() {
    rtc.RX8025_init();
    // rtc.setRtcTime(30,28,10,0,14,10,23);

    up.reset();//清除一下按钮状态机的状态
    up.attachClick(up_Click);

    down.reset();
    down.attachClick(down_Click);

    key.reset();
    key.attachClick(key_Click);
}

void up_Click() {
    Serial.println("up");
    rtc.setRtcTime(rtc.getSecond()+1,rtc.getMinute(),rtc.getHour(),rtc.getDoW(),rtc.getDate(),rtc.getMonth(),rtc.getYear());
}

void down_Click() {
    Serial.println("down");
    rtc.setRtcTime(rtc.getSecond()-1,rtc.getMinute(),rtc.getHour(),rtc.getDoW(),rtc.getDate(),rtc.getMonth(),rtc.getYear());
}

void key_Click() {
    date_flag=1;
    delay(2000);
    date_flag=0;
    Serial.println("key");
}

void key_Refresh() {
    up.tick();
    down.tick();
    key.tick();
}

void RTC_Refresh() {
    if (date_flag)
    {
        Show_arr[1] = rtc.getYear()/10;
        Show_arr[2] = rtc.getYear()%10;

        Show_arr[4] = rtc.getMonth()/10;
        Show_arr[5] = rtc.getMonth()%10;

        Show_arr[7] = rtc.getDate()/10;
        Show_arr[8] = rtc.getDate()%10;
    }
    else
    {
        Show_arr[1] = rtc.getHour()/10;
        Show_arr[2] = rtc.getHour()%10;

        Show_arr[4] = rtc.getMinute()/10;
        Show_arr[5] = rtc.getMinute()%10;

        Show_arr[7] = rtc.getSecond()/10;
        Show_arr[8] = rtc.getSecond()%10;
    }
}
